#ifndef GETOPT_R_H
#define GETOPT_R_H
struct getopt_r {  /* data we use across calls */
    int	  ind;		/* index into argv */
    char  opt,		/* option character */
         *arg,		/* argument for option */
	 *str,		/* string describing legal options */
	 *p;		/* cross-call place holder */
};

void getopt_r_init(struct getopt_r *o, const char *optstr);
int  getopt_r(struct getopt_r *o, int n, char **v);
#endif /* GETOPT_R_H */
